//Einbinden der Bibliothek 
//zum steuern eines Servomotors.
#include <Servo.h>

//Der Servomotor ist am 
//digitalen Pin D6 angeschlossen.
#define servoPin 6

//Die X Koordinate des linken Joysticks
//ist am analogen Pin A0 angeschlossen.
#define joystickXPin A0

//initialisieren eines Servoobjektes
Servo servo;

void setup() {
  //verbinden des Pins vom Servo zum Objekt
  servo.attach(servoPin);
}

void loop() {
  //auslesen der aktuellen Position der X Koordinate
  //des Joysticks
  int joystickXPos = analogRead(joystickXPin);
  //anlegen einer Variable für den berechneten Wert
  //des Servos
  int servoValue = -1;
  //Der Joystick befindet sich in der Mittelposition,
  //das bedeutet das wir ca. 511 als analogen Wert empfangen.
  if (joystickXPos > 511) {
    //Den Wert der Variable joystickXPos mit dem Gültigkeitsbereich
    // 511 bis 1023 auf die Winkel 90 bis 0 mappen.
    servoValue = map(joystickXPos, 511, 1023, 90, 0);
  } else {
    //Den Wert der Variable joystickXPos mit dem Gültigkeitsbereich
    // 511 bis 0 auf die Winkel 90 bis 180 mappen.
    servoValue = map(joystickXPos, 511, 0, 90, 180);
  }
  //Zuweisen der neuen Position am Servoobjekt
  servo.write(servoValue);
 
}
